Bug 5894 - unresolved reference
: unresolved reference
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgtkmm2-devel)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5957
:
  Show dependency tree
 
Reported: 2005-01-18 15:40 by
Modified: 2005-06-01 00:50 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-18 15:40:25
$ g++ ... -lglibmm-2.4 -lgdkmm-2.4 -lgnomevfsmm-2.6 -lxml2 -lpthread -lz -lm
/usr/lib/gcc-lib/i586-alt-linux/3.3.3/../../../libgdkmm-2.4.so: undefined
reference to `Pango::LayoutLine::gobj() const'

$ grep LayoutLine /usr/lib/libpango*
Бинарный файл /usr/lib/libpangomm-1.4.so совпадает
Бинарный файл /usr/lib/libpangomm-1.4.so.1 совпадает
Бинарный файл /usr/lib/libpangomm-1.4.so.1.0.12 совпадает

$ ldd /usr/lib/libgdkmm-2.4.so | grep pangomm -wc
0

но при этом:
$ grep pangomm /usr/lib/pkgconfig/gdkmm-2.4.pc 
Requires: glibmm-2.4 pangomm-1.4 gdk-2.0
------- Comment #1 From 2005-01-26 10:55:33 -------
Проверьте пожалуйста  libgtkmm2-2.5.5, который соберётся в Сизиф, 
как только в Incoming появится libatk-1.9 
------- Comment #2 From 2005-02-05 01:38:32 -------
fixed in libgtkmm2-2.5.5-alt1 
------- Comment #3 From 2005-06-01 00:50:13 -------
исправлено